# 常见问题
## 如何指定自定义MathJax脚本？
VNote使用MathJax 3渲染数学公式。要指定使用的MathJax脚本，请执行以下步骤：

1. 打开默认配置文件夹，复制其中的`web/js/mathjax.js`到用户配置文件夹，保留路径`web/js/mathjax.js`，然后就可以修改该`mathjax.js`文件了。这样，VNote就会使用复制后的文件，而不是默认的文件。
2. 编辑`mathjax.js`文件。使用的MathJax脚本由这一行指定：
    ```js
            this.mathJaxScript = 'https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-svg.js';
    ```

您可以[下载MathJax](https://docs.mathjax.org/en/latest/web/hosting.html)并指定一个本地的MathJax脚本：

```js
this.mathJaxScript = 'file://c:/Users/foo/mathjax/tex-svg.js';
```

## 更新后启动失败
一般是由于跨多个版本号进行更新引起的。打开用户配置文件夹，并删除其中的`vnotex.json`即可。

## 界面无响应
## 编辑模式中光标不可见
## 打开一个笔记时程序崩溃
当出现在Windows上时，以上三个问题都可能是因为显卡驱动的原因。可以逐步尝试以下3个步骤：

1. 尝试更新显卡驱动；
2. 尝试将VNote指定使用集成显卡；
3. 尝试在`设置`对话框里面指定`OpenGL`的值，逐个值进行尝试；  
![](vx_images/3831753136437.png)
4. 确认VNote的可执行文件文件夹位于C盘下面。

每一步操作都需要重启VNote来验证是否有用。

## MacOS下无法运行VNote
打开时弹出对话框，提示

> Apple无法验证“VNote.app”是否包含可能危害Mac安全或泄漏隐私的恶意软件。

MacOS中包含一项名为“[门禁](https://support.apple.com/zh-cn/102445)”的技术，旨在确保只有受信任的软件才能在Mac上运行。你可以尝试以下方案来解决问题。

1. 首次打开VNote，弹出对话框后点击“完成”按钮关闭对话框。打开“系统设置”，点按“隐私与安全性”，向下滚动，然后点按“仍要打开”按钮，即可启动VNote，且不再受阻止。

2. 执行以下命令，对VNote进行签名。

    ```bash
    # 移除指定应用的所有扩展属性，包括导致应用被隔离的属性
    # xattr是MacOS系统中用于管理文件扩展属性的命令
    # -c 选项表示清除所有的扩展属性
    # -r 选项表示递归处理，即包括指定目录下的所有文件和子目录
    xattr -cr '/Applications/VNote.app'

    # 重新签名指定的应用
    # codesign是macOS系统中用于给应用程序签名的命令
    # --force 选项表示强制重新签名，即使之前已经签过名
    # --deep 选项表示递归签名应用内的所有可执行文件和框架
    # --sign - 选项表示使用一个匿名的证书进行签名
    # 这通常用于去除应用程序的现有签名，或者在没有有效开发者证书的情况下重新签名应用
    codesign --force --deep --sign - '/Applications/VNote.app'
    ```
